Unable to create part...

Ryan Parr
2003-09-02
2003-09-02
  • Ryan Parr
    Ryan Parr
    2003-09-02

    When I try to open a Perl mod in my Perl project I get the error "Unable to create part: $filename_here". The resulting editor window displays the text "An error has occurred when creating this editor".

    I'm using j2sdk1.4.2_01, and Eclipse 3.0. Running from the command line with the -debug switch shows no errors.

    Any suggestions?

     
    • Jochen Ruehl
      Jochen Ruehl
      2003-09-02

      Hi,

      which editor are you using (Color Editor or Colorer plugin) ?
      What is the file extension of the Perl file you want to open?

      Bye
      Jochen

       
    • Ryan Parr
      Ryan Parr
      2003-09-02

      I tried using the Colorer extension, but it prevented Eclipse from even acknowleding that epic was installed. No errors, just no epic. So it's just a straight unzip of epic into the plugins directory.

      The Perl mods I'm trying to work with are just .pm files. Eclipse can open other files such as plain text files without issue.

      Also, this is a Redhat 9 workstation.

      Thanks!

       
    • Ryan Parr
      Ryan Parr
      2003-09-02

      I used EPIC from CVS with still no luck. So I've downgraded to Eclipse 2.1 and everything works properly.

      Sorry, thank you.